// This is -*- C++ -*-
// $Id: dataset1.cc,v 1.9 1998/09/14 04:47:42 trow Exp $

/* dataset1.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <iostream.h>
#include <iomanip.h>
#include "DataSet.h"

main()
{
  DataSet ds;

  double x;
  while (cin.good()) {
    cin >> x;
    if (!cin.eof()) 
      ds.add(x);
  }


  cout << endl;

  cout << "     Samples: " << ds.size() << endl;
  cout << "     Minimum: " << ds.min() << endl;
  cout << "     Maximum: " << ds.max() << endl;
  cout << "        Mean: " << ds.mean() << endl;
  cout << " Pop Std Dev: " << ds.sdev() << endl;
  cout << "Samp Std Dev: " << ds.sdevs() << endl;
  cout << "      Median: " << ds.med() << endl;
  cout << "       Q1 Q3: " << ds.q1() << " " << ds.q3() << endl;
  cout << "     Deciles: ";
  for(int i=1;i<=9;++i)
    cout << ds.decile(i) << " ";
  cout << endl;
  cout << "   Geom Mean: " << ds.gmean() << endl;
  cout << "   Harm Mean: " << ds.hmean() << endl;
  cout << "    Mean Dev: " << ds.meandev() << endl;
  cout << "     Med Dev: " << ds.meddev() << endl;
  cout << "    Kurtosis: " << ds.kurtosis() << endl;
  cout << "    Skewness: " << ds.skewness() << endl;

  cout << "    Ordering: ";
  if (ds.sortedness() == 0) 
    cout << "Unordered";
  else if (ds.sortedness() == 1)
    cout << "Sorted, Ascending";
  else if (ds.sortedness() == -1)
    cout << "Sorted, Descending";
  else 
    cout << "Constant";
  cout << endl;

  // echo short data sets, along with the rank
  if (ds.size() < 10) {
    DataSet c = ds;
    c.rank();
    cout << endl << setw(10) << "data" << " " << setw(10) << "rank" << endl;
    for(size_t i=0; i<ds.size(); ++i)
      cout << setw(10) << ds.data(i) << " " << setw(10) << c.data(i) << endl;
  }
   
  // An extra line for good luck
  cout << endl;
}




// $Id: dataset1.cc,v 1.9 1998/09/14 04:47:42 trow Exp $
