// This is -*- C++ -*-
// $Id: test_import.cc,v 1.5 1998/09/14 04:47:42 trow Exp $

/* test_import.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <iostream.h>
#include <time.h>
#include "DataImport.h"

main()
{
  ImportEngine import;
		       
  ColumnSpec* col1 = new ColumnSpec;
  col1->set_separator("hi");

  ColumnSpec* col2 = new ColumnSpec;
  col2->set_separator(" ");

  ColumnSpec* col3 = new ColumnSpec;
  col3->set_separator(",");


  import.add_column(col1);
  import.add_column(col2);
  import.add_column(col3);

  cout << "Importing..." << endl;

  try {
    import.load(cin);
    vector<DataSet*> dsvec = import.import();
    
    cout << dsvec.size() << " columns imported." << endl;
    
    for (vector<DataSet*>::iterator i = dsvec.begin(); i != dsvec.end(); ++i) {
      (*i)->spew(cout);
      cout << "(" << (*i)->size() << " " << (*i)->mean() 
	   << " " << (*i)->sdev() << ")" << endl;
    }
  }
  catch (exception & e) {
    cerr << "Exception: " << e.what() << endl;
  }
  catch (...) {
    cerr << "Oops, exception!" << endl;
  }
}




// $Id: test_import.cc,v 1.5 1998/09/14 04:47:42 trow Exp $
