// This is -*- C++ -*-
// $Id: test_regression.cc,v 1.3 1998/09/14 04:47:42 trow Exp $

/* test_regression.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */


#include "DataSet.h"
#include "Random.h"
#include "regression.h"

main()
{
  Random rnd;

  DataSet indep, dep;

  for(int i=0; i<100; ++i) {
    double x = rnd.random_uniform(-10,10);
    double y = 2*x*x*x + 3*x - 7 + rnd.random_normal(0,0.5);
    indep.add(x);
    dep.add(y);
  }

  cout << "  true model: y = -7 + 3 x + 2 x^3" << endl;

  LinearRegression linreg;
  linreg.model(indep, dep);

  cout << "linear model: y = " << linreg.intercept() << " + ";
  cout << linreg.intercept() << " x";
  cout << " (r = " << linreg.correlation() << ")" << endl;

  PolynomialRegression polyreg;
  polyreg.model(indep, dep, 3);

  cout << "  poly model: y = ";
  for(int i=0; i<=polyreg.degree(); ++i) {
    if (i) cout << " + ";
    cout << polyreg.coefficient(i);
    if (i) cout << " x^" << i;
  }
  cout << endl;
   
}



// $Id: test_regression.cc,v 1.3 1998/09/14 04:47:42 trow Exp $
